=== debian/changelog ===
ros-foxy-spacenav (3.0.1-1focal) focal; urgency=high

  * Make sure to ament_target_dependencies on rclcpp_components (#209 <https://github.com/ros-drivers/joystick_drivers/issues/209>)
  * Contributors: Chris Lalancette

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jan 2022 00:00:00 -0000

ros-foxy-spacenav (3.0.0-1focal) focal; urgency=high

  * spacenav node changed for ros2 (#194 <https://github.com/ros-drivers/joystick_drivers/issues/194>)
  * Contributors: Nils Schulte

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 12 Mar 2021 00:00:00 -0000

ros-foxy-spacenav (1.13.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-foxy-spacenav (1.12.0-1focal) focal; urgency=high

  * Adding tested spacenav scaling
  * Added README
  * Addressed numerous outstanding PRs.
  * Changed package xml to format 2
  * Reduce the number of scale params in spacenav_node
  * Add a scale parameter to each axis in spacenav_node
    Do not apply the scale to the joy topic.
  * Contributors: Gaël Ecorchard, Jonathan Bohren, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-foxy-spacenav (1.11.0-1focal) focal; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-foxy-spacenav (1.10.1-1focal) focal; urgency=high

  * Add full_scale parameter and apply to offset
  * Remove stray architechture_independent flags
  * Contributors: Gaël Ecorchard, Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-foxy-spacenav (1.10.0-1focal) focal; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000
