=== debian/control ===
Source: ros-foxy-spacenav
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libspnav-dev, libx11-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/spacenav_node
Standards-Version: 3.9.2

Package: ros-foxy-spacenav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspnav-dev, libx11-dev, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, spacenavd, ros-foxy-ros-workspace
Description: ROS interface to the 3Dconnexion SpaceNavigator 6DOF joystick.
